Some questions about fedora repos

This is just a question, I don’t mean to stop all the work of the maintainers or to say that they are not doing their job well.

Is it possible to request removal of a package from the official fedora repository and replace it with the flatpak version?

I’m asking this because the calibre package have a bug that prevent to get metadata with the Ctrl + D shortcut, already reported on Bug #1956996 “Calibre 5.33.2 crash after getting metadata (bulk)...” : Bugs : calibre and the answer was:

I do not provide support for people using distro provided packages. If you are using a distro provided package, uninstall it and install the official calibre binary from calibre - Download for Linux and if you can reproduce the bug with that, re-open the ticket. Of course, if you are already using the official binary, apologies and feel free to re-open the ticket immediately :slight_smile:

status invalid

So I’ve think that could be better if the flatpak version is the only available when searching for calibre on the software stores, since in this version all works ok.

And a similar situation with Freecad, in the repo version can’t see the vertex and center marks on the TechDraw Workbench but the Flatpak version works all ok.

Some people prefer to use distro packages rather than flatpaks or developers’ binaries. As long as someone is willing to maintain RPM packages in Fedora’s repos, it doesn’t make any sense to request for their removal. Just make sure you are installing the one you prefer to use before hitting the install button.

1 Like

Idk about other DEs, but on Fedora KDE Discover shows a “sources” menu so you could pick the source of the package you’re downloading (flatpak or native or snap if you have that)

1 Like

Also, contact the Fedora maintainer on Bugzilla and point them to the upstream discussion in order to figure out if there is a solution to apply to the Fedora (downstream) package.

1 Like

Even if this versions have some bugs that made you can’t use some parts of the application?

Already exist a report of a similar bug of the same workbench made by the main maintainer 2062454 – Linewidth doesn't have any effect on Page when we select "view" (object on page)

If it is a bug which doesn’t affect me or not producable on my machine, I am happy to use the RPM version and don’t want it to get removed from the repos. If it as a bug which makes the application unusable for everyone, it is better to report it to the package maintainer so it gets fixed.

1 Like

I agree 100%. As much as possible I use exclusively the rpm version of everything. I only have about 3 flatpak packages installed and that is only because they are not available in rpm form.

Flatpaks are great for their intended purpose, but it seems many are migrating from the rpm versions provided by their distro to the flatpaks. Each flatpak is mostly provided by a 3rd party and thus they are migrating from a vanilla distro to a hodgepodge of flatpaks from multiple sources.

To me this seems a recipe for less security as well as file system bloat and potential conflicts with flatpaks that may not all be packaged exactly the same.

1 Like